# $OpenBSD$

COMMENT-main =		multiple virtual desktop window manager, with icons
COMMENT-fvicons =	multiple virtual desktop window manager icons
COMMENT-fvwm2 =		multiple virtual desktop window manager, without icons

DISTNAME =		fvwm-${VERSION}
PKGNAME-main =		fvwm2+fvicons-${VERSION}
FULLPKGNAME-fvicons =	fvicons-${VERSION}
PKGNAME-fvwm2 =		fvwm2-${VERSION}

CATEGORIES =		x11

HOMEPAGE =		http://www.fvwm.org/

MAINTAINER =		Peter Valchev <pvalchev@openbsd.org>

# GPL/BSD-like (badly worded)
PERMIT_PACKAGE_CDROM =	Yes
PERMIT_PACKAGE_FTP =	Yes
PERMIT_DISTFILES_CDROM =Yes
PERMIT_DISTFILES_FTP =	Yes

MASTER_SITES =		ftp://ftp.fvwm.org/pub/fvwm/version-2/
DISTFILES =		${DISTNAME}${EXTRACT_SUFX} fvwm_icons-20070101.tar.gz

WANTLIB += ICE SM X11 Xext Xinerama Xpm c m readline termcap

MULTI_PACKAGES =	-main -fvwm2 -fvicons

FLAVORS +=		rplay debug
FLAVOR ?=

.if ${FLAVOR:L:Mrplay}
LIB_DEPENDS +=		audio/rplay
CONFIGURE_ARGS +=	--with-rplay-includes="${LOCALBASE}/include" \
			--with-rplay-library="${LOCALBASE}/lib"
WANTLIB +=		rplay
.else
CONFIGURE_ARGS +=	--without-rplay-library
.endif

.if ${FLAVOR:L:Mdebug}
CONFIGURE_ARGS +=	--enable-debug-msgs
.endif

PKG_ARCH-fvicons =	*
LIB_DEPENDS-fvicons =
WANTLIB-fvicons =
FULLPKGPATH-fvicons =	${PKGPATH},-fvicons

SUBST_VARS =		VERSION

USE_GROFF =		Yes

SEPARATE_BUILD =	concurrent
CONFIGURE_STYLE =	gnu
CONFIGURE_ARGS +=	--disable-gtk \
			--without-gnome \
			--without-stroke-library

post-install:
	${INSTALL_DATA_DIR} ${PREFIX}/share/pixmaps/fvwm
	${INSTALL_DATA} ${WRKDIR}/fvwm_icons-20070101/*.xpm ${PREFIX}/share/pixmaps/fvwm/
	${INSTALL_DATA} ${WRKSRC}/sample.fvwmrc/system.fvwm2rc ${PREFIX}/share/fvwm
